# CairoContext::setSourceRGBA

# cairo_set_source

(PECL cairo >= 0.1.0)

CairoContext::setSourceRGBA -- cairo_set_source — The setSourceRGBA purpose

### Description

Object oriented style (method):

public CairoContext::setSourceRGBA ( float `$red` , float `$green` , float `$blue` , float `$alpha` ) : void

Procedural style:

cairo_set_source ( CairoContext `$context` , float `$red` , float `$green` , float `$blue` , float `$alpha` ) : void

Description here.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`context`

  Description...

`red`

  Description...

`green`

  Description...

`blue`

  Description...

`alpha`

  Description...

### Return Values

Description...

### Examples

Example #1 Object oriented style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method()